/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Pan Development Team (pan@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __PAN_H__
#define __PAN_H__

#include <config.h>

#include <pthread.h>
#include <gnome.h>

#include "util.h"
#include "server.h"
#include "article-db.h"
#include "articlelist.h"
#include "gui-notebook.h"
#include "gui-paned.h"
#include "gui.h"
#include "prefs.h"
#include "date.h"
#include "druid.h"
#include "log.h"
#include "queue-manager.h"
#include "message-send.h"
#include "message-window.h"
#include "message-filter.h"
#include "decode.h"
#include "statistics.h"
#include "smtp.h"
#include "group-props.h"
#include "print.h"

/* Defines
 */
#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 255
#endif
#ifndef PATH_MAX
#define PATH_MAX 255
#endif

#define SHOW_DEBUG_MSG 0

typedef struct _PanApp PanApp;
struct _PanApp {
	pthread_t main_t;
	GtkWidget   *window;	        /* main window for Pan */
	GtkWidget   *appbar;	        /* ??? */
	GtkWidget   *group_clist;	/* ??? */
	GtkWidget   *article_ctree;	/* ??? */
	gchar* active_message_id;
	GSList *serverlist;
	gboolean mute;			/* if true, outgoing posts/mail are
					   sent to stdout instead of actually
					   being sent.  This is a debugging
					   tool. */
};

extern PanApp Pan;


/*
 * Function Definitions
 */
void pan_shutdown (void);
void pan_init (void);

void session_die             (GnomeClient        *client,
			      gpointer           data);

gint save_session            (GnomeClient        *client,
			      gint               phase,
			      GnomeSaveStyle     save_style,
			      gint               is_shutdown,
			      GnomeInteractStyle interact_style,
			      gint               is_fast,
			      gpointer           client_data);

#endif /* __PAN_H__ */
